package com.ruoyi.project.system.mapper;

import com.ruoyi.project.system.domain.ProductCraft;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 工艺Mapper接口
 *
 * @author zhu
 * @date 2023-10-24
 */
public interface ProductCraftMapper {
    /**
     * 查询工艺
     *
     * @param id 工艺主键
     * @return 工艺
     */
    public ProductCraft selectProductCraftById(Long id);


    /**
     * 查询工艺列表
     *
     * @param productCraft 工艺
     * @return 工艺集合
     */
    public List<ProductCraft> selectProductCraftList(ProductCraft productCraft);

    /**
     * 新增工艺
     *
     * @param productCraft 工艺
     * @return 结果
     */
    public int insertProductCraft(ProductCraft productCraft);

    /**
     * 修改工艺
     *
     * @param productCraft 工艺
     * @return 结果
     */
    public int updateProductCraft(ProductCraft productCraft);

    /**
     * 删除工艺
     *
     * @param id 工艺主键
     * @return 结果
     */
    public int deleteProductCraftById(Long id);

    /**
     * 批量删除工艺
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProductCraftByIds(Long[] ids);

    /**
     * 删除数据
     *
     * @param productId
     * @param materialId
     * @return
     */
    public int deleteByProductId(Long productId, Long materialId);

    /**
     * 多个id查询
     *
     * @param ids
     * @return
     */
    public List<ProductCraft> selectProductCraftByIds(@Param("ids") List<Long> ids);
}
